Bug 449214 - Crash in _update_action at polkit-gnome-action.c:869
Crash in _update_action at polkit-gnome-action.c:869
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 07:59 EDT by Allan Engelhardt
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug buddy back trace with debug symbols (10.78 KB, text/plain)
2008-05-31 07:59 EDT, Allan Engelhardt
no flags Details
Stack trace with debug symbols for Comment #2 (8.93 KB, text/plain)
2008-07-02 02:15 EDT, Allan Engelhardt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 535421 None None None Never

  None (edit)
Description Allan Engelhardt 2008-05-31 07:59:08 EDT
Description of problem:

Not sure if this is gnome-system-monitor or polkit so I am starting the the
application that actually crashed.  The upstream developer says this is a
distribution problem, not an upstream problem (see Gnome bug reference below)

Original report: Crashed while killing a(nother) memory-consuming task

Xournal was eating up memory, so I tried to start System Monitor.  The system
was very slow.  I killed Xournal (clicking the 'x' and confirming the "Force
Quit" prompt).  System Monitor still hadn't started.  As soon as Xournal died,
I got this crash dialog from System Monitor.


Version-Release number of selected component (if applicable):

Some version numbers which may be helpful

$ rpm -q gnome-system-monitor ; rpm -qf $(ldd /usr/bin/gnome-system-monitor |
awk '{print $3}') | sort -u
gnome-system-monitor-2.22.1-5.fc9.x86_64
atk-1.22.0-1.fc9.x86_64
avahi-0.6.22-10.fc9.x86_64
avahi-glib-0.6.22-10.fc9.x86_64
bzip2-libs-1.0.5-1.fc9.x86_64
cairo-1.6.4-1.fc9.x86_64
cairomm-1.5.0-1.fc9.x86_64
dbus-glib-0.74-6.fc9.x86_64
dbus-libs-1.2.1-1.fc9.x86_64
e2fsprogs-libs-1.40.8-3.fc9.x86_64
expat-2.0.1-5.x86_64
fontconfig-2.5.0-2.fc9.x86_64
freetype-freeworld-2.3.5-3.lvn8.x86_64
GConf2-2.22.0-1.fc9.x86_64
glib2-2.16.3-5.fc9.x86_64
glibc-2.8-3.x86_64
glibmm24-2.16.0-1.fc9.x86_64
gnome-vfs2-2.22.0-1.fc9.x86_64
gtk2-2.12.9-5.fc9.x86_64
gtkmm24-2.12.5-1.fc9.x86_64
keyutils-libs-1.2-3.fc9.x86_64
krb5-libs-1.6.3-10.fc9.x86_64
libcap-2.06-4.fc9.x86_64
libcroco-0.6.1-5.fc9.x86_64
libgcc-4.3.0-8.x86_64
libgsf-1.14.8-1.fc9.x86_64
libgtop2-2.22.1-1.fc9.x86_64
libICE-1.0.4-3.fc9.x86_64
libpng-1.2.24-1.fc9.x86_64
librsvg2-2.22.2-1.fc9.x86_64
libselinux-2.0.64-2.fc9.x86_64
libsigc++20-2.2.2-1.fc9.x86_64
libSM-1.0.2-5.fc9.x86_64
libstdc++-4.3.0-8.x86_64
libwnck-2.22.1-1.fc9.x86_64
libX11-1.1.4-1.fc9.x86_64
libXau-1.0.3-5.fc9.x86_64
libxcb-1.1-4.fc9.x86_64
libXcomposite-0.4.0-4.fc9.x86_64
libXcursor-1.1.9-2.fc9.x86_64
libXdmcp-1.0.2-5.fc9.x86_64
libXext-1.0.4-1.fc9.x86_64
libXfixes-4.0.3-3.fc9.x86_64
libXi-1.1.3-4.fc9.x86_64
libXinerama-1.0.3-1.fc9.x86_64
libxml2-2.6.32-1.fc9.x86_64
libXrandr-1.2.2-3.fc9.x86_64
libXrender-0.9.4-3.fc9.x86_64
libXres-1.0.3-4.fc9.x86_64
openssl-0.9.8g-6.fc9.x86_64
ORBit2-2.14.12-3.fc9.x86_64
pango-1.20.1-1.fc9.x86_64
pixman-0.10.0-1.fc9.x86_64
PolicyKit-0.8-2.fc9.x86_64
PolicyKit-gnome-libs-0.8-4.fc9.x86_64
startup-notification-0.9-4.fc9.x86_64
zlib-1.2.3-18.fc9.x86_64


How reproducible: Always.


Steps to Reproduce:
1. Load system with heavy memory usage
2. Start gnome-system-monitor from the panel applet
3.
  
Actual results: Bug buddy


Expected results: No crash


Additional info: Bug buddy back trace with debug symbols from original Gnome bug
attached
Comment 1 Allan Engelhardt 2008-05-31 07:59:08 EDT
Created attachment 307273 [details]
Bug buddy back trace with debug symbols
Comment 2 Allan Engelhardt 2008-07-02 02:14:06 EDT
Slightly different situation now where gnome-system-monitor crashes (in the same
place) every time I try to start it.  The output to the terminal is

$ gnome-system-monitor 
[WARN  1163] polkit-error.c:143:polkit_error_get_error_message(): error != NULL
 Not built with -rdynamic so unable to print a backtrace

** (gnome-system-monitor:1163): WARNING **: Failed to initialize PolicyKit
context: (null)
[WARN  1163] polkit-error.c:156:polkit_error_free(): error != NULL
 Not built with -rdynamic so unable to print a backtrace

warning: "/usr/lib/debug/lib/modules/2.6.25.6-55.fc9.x86_64/vdso/vdso.so.debug":
The separate debug info file has no debug info


I will attach the bug buddy stack trace, but it is still at
polkit-gnome-action.c:869 .
Comment 3 Allan Engelhardt 2008-07-02 02:15:14 EDT
Created attachment 310765 [details]
Stack trace with debug symbols for Comment #2

See Comment #2.
Comment 4 Allan Engelhardt 2008-07-02 02:17:17 EDT
In Comment #2 I should have mentioned that there is no load on the system (load
average: 0.31, 0.45, 0.36).  I have updated the summary accordingly.
Comment 5 Bug Zapper 2009-06-09 21:19:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:27:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.